---
lang: en
title: 'API docs: rest.restmiddlewaregroups'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restmiddlewaregroups.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestMiddlewareGroups](./rest.restmiddlewaregroups.md)

## RestMiddlewareGroups namespace

Built-in middleware groups for the REST sequence

**Signature:**

```typescript
export declare namespace RestMiddlewareGroups 
```

## Variables

|  Variable | Description |
|  --- | --- |
|  [API\_SPEC](./rest.restmiddlewaregroups.api_spec.md) | Server OpenAPI specs |
|  [AUTHENTICATION](./rest.restmiddlewaregroups.authentication.md) | Perform authentication |
|  [CORS](./rest.restmiddlewaregroups.cors.md) | Enforce CORS |
|  [DEFAULT](./rest.restmiddlewaregroups.default.md) |  |
|  [FIND\_ROUTE](./rest.restmiddlewaregroups.find_route.md) | Find the route that can serve the request |
|  [INVOKE\_METHOD](./rest.restmiddlewaregroups.invoke_method.md) | Invoke the target controller method or handler function |
|  [MIDDLEWARE](./rest.restmiddlewaregroups.middleware.md) | Default middleware group |
|  [PARSE\_PARAMS](./rest.restmiddlewaregroups.parse_params.md) | Parse the http request to extract parameter values for the operation |
|  [SEND\_RESPONSE](./rest.restmiddlewaregroups.send_response.md) | Invoke downstream middleware to get the result or catch errors so that it can produce the http response |


